## org.apache.lucene.facet.index
Class FacetsPayloadProcessorProvider.FacetsPayloadProcessor

    java.lang.Object
      org.apache.lucene.index.PayloadProcessorProvider.PayloadProcessor
          org.apache.lucene.facet.index.FacetsPayloadProcessorProvider.FacetsPayloadProcessor

Enclosing class:
  FacetsPayloadProcessorProvider

    public static class FacetsPayloadProcessorProvider.FacetsPayloadProcessor

extends org.apache.lucene.index.PayloadProcessorProvider.PayloadProcessor

A PayloadProcessor for updating facets ordinal references, based on an ordinal map

Constructor Summary
`protected` `FacetsPayloadProcessorProvider.FacetsPayloadProcessor(CategoryListParams params, int[] ordinalMap)`

Method Summary
`int` `payloadLength()`
`byte[]` `processPayload(byte[] payload, int start, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetsPayloadProcessorProvider.FacetsPayloadProcessor

    protected FacetsPayloadProcessorProvider.FacetsPayloadProcessor(CategoryListParams params,
                                                                    int[] ordinalMap)

Parameters:
  `params` - defines the encoding of facet ordinals as payload
  `ordinalMap` - an array mapping previous facets ordinals to new ones

Method Detail

### payloadLength

    public int payloadLength()
                      throws IOException

  Specified by:
    `payloadLength` in class `org.apache.lucene.index.PayloadProcessorProvider.PayloadProcessor`
  Throws:
    `IOException`

### processPayload

    public byte[] processPayload(byte[] payload,
                                 int start,
                                 int length)
                          throws IOException

  Specified by:
    `processPayload` in class `org.apache.lucene.index.PayloadProcessorProvider.PayloadProcessor`
  Throws:
    `IOException`